Bug 201084 - [WebAuthn] Support HID authenticators on iOS
Summary: [WebAuthn] Support HID authenticators on iOS
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Misc. (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Jiewen Tan
URL:
Keywords: InRadar
Depends on:
Blocks: 181943
  Show dependency treegraph
 
Reported: 2019-08-23 12:16 PDT by Jiewen Tan
Modified: 2019-09-11 17:09 PDT (History)
9 users (show)

See Also:


Attachments
Patch (17.23 KB, patch)
2019-08-23 12:21 PDT, Jiewen Tan
no flags Details | Formatted Diff | Diff
Patch (20.52 KB, patch)
2019-08-23 16:13 PDT, Jiewen Tan
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jiewen Tan 2019-08-23 12:16:13 PDT
Support HID authenticators on iOS.
Comment 1 Jiewen Tan 2019-08-23 12:16:26 PDT
<rdar://problem/51908390>
Comment 2 Jiewen Tan 2019-08-23 12:21:44 PDT
Created attachment 377149 [details]
Patch
Comment 3 Chris Dumez 2019-08-23 12:32:31 PDT
Does not build on EWS.
Comment 4 Jiewen Tan 2019-08-23 16:13:48 PDT
Created attachment 377174 [details]
Patch
Comment 5 Jiewen Tan 2019-08-26 11:00:51 PDT
Comment on attachment 377174 [details]
Patch

Thanks Youenn for r+ the patch.
Comment 6 WebKit Commit Bot 2019-08-26 11:43:15 PDT
Comment on attachment 377174 [details]
Patch

Clearing flags on attachment: 377174

Committed r249108: <https://trac.webkit.org/changeset/249108>
Comment 7 WebKit Commit Bot 2019-08-26 11:43:17 PDT
All reviewed patches have been landed.  Closing bug.